from parallels.core.importer import Importer


class PPAMoveWebspacesImporter(Importer):
	def _create_auxiliary_users(self, all_clients, client_login_to_guid, existing_objects, subscription_source_mail_ips, subscription_names):
		pass

	def _create_auxiliary_roles(self, all_clients, client_login_to_guid, existing_objects):
		pass

	def _create_auxiliary_role_with_plesk_api(self, client_guid, default_permissions, role):
		pass